#pragma once

#define enumerate_syscalls(_e)                                                                                         \
    _e(exit) _e(clock_gettime) _e(mmap) _e(munmap) _e(usleep) _e(open) _e(close) _e(read) _e(getpid) _e(write)         \
        _e(lseek) _e(mkdir) _e(execve) _e(mknod) _e(fork) _e(waitpid) _e(getppid) _e(fcntl) _e(getdents) _e(getuid)    \
            _e(geteuid) _e(getgid) _e(getegid) _e(setuid) _e(setgid) _e(seteuid) _e(setegid) _e(chmod) _e(chown)       \
                _e(ioctl) _e(stat) _e(fstat) _e(chdir)

enum Syscalls
{
#undef __enumerate
#define __enumerate(name) SYS_##name,
    enumerate_syscalls(__enumerate)
#undef __enumerate
        __count
};
